Page 2 of 9 FirstFirst 1234 ... LastLast
Results 11 to 20 of 83

Thread: Update Issue

  1. #11
    Senior Member
    Join Date
    Dec 2012
    Posts
    267
    So, for now I do not see any ways for us to workaround this, I have played with certain dependency tricks and hacks (Depends, Pre-Depends, Breaks, Conflicts) with no success. The result will always be apt breakage with need for manual interaction or will be that the system stays on WebApp 1.6.

    This means we are going to publish instructions for manually switching to the new WebApp. This will not be complicated, but I suppose that one might find that annoying.

  2. #12
    Member zaraf's Avatar
    Join Date
    Feb 2013
    Location
    Germany
    Posts
    41
    Thanks choffmann Ubuntu 12.04 and 14.04 is ok with Webapp 1.6. We must wait off a functionally Webapp Source.
    Danke choffmann Ubuntu 12.04 und 14.04 funtkionieren (Pakete sind ja noch warm
    Dann müssen wir halt warten bis die Webapp Pakete sauber sind
    (Manuelle Installation von Webapp 2 macht keinen Sinn da diese via apt-get upgrade gleich wieder auf 1.6 downgraded und man danach gezwungen ist wieder Webapp 2 zu installieren.)

    Danke nochmals, werde auf der Cebit mal Zarafa besuchen und darauf ansprechen!
    Ach ja und Entschuldigung für mein englisch oder was es halt darstellt
    Produktiv System
    Ubuntu 12.04.05
    yaffas 1.5.0-5-g360b8cb
    Zarafa 7.1.14-51822
    Webapp 2.1.0.51748

    Test System
    Ubuntu 14.04.04
    yaffas 1.5.0-5-g79b3c11
    Zarafa 7.1.14-51822
    Webapp 2.2.0.414-185.1

  3. #13
    Senior Member
    Join Date
    Dec 2012
    Posts
    267
    Hrm, why does apt-get still see zarafa-webapp-1.6 in your case? I thought I had removed the relevant packages from our repos. Do they come in from another repository?
    Can you check with apt-cache policy zarafa-webapp?

  4. #14
    Member zaraf's Avatar
    Join Date
    Feb 2013
    Location
    Germany
    Posts
    41
    thx choffmann
    but in Ubuntu 12.04 daily repo is and available!?
    also in der 12.04 daily repo sind die 1.6er und 2.01 er Pakete vorhanden!?

    apt-cache policy zarafa-webapp
    zarafa-webapp:
    Installiert: 1:1.6-46049
    Kandidat: 1:1.6-46049
    Versionstabelle:
    *** 1:1.6-46049 0
    500 ./ Packages
    100 /var/lib/dpkg/status
    2.0.1.47791 0
    500 ./ Packages

    or manuel install webapp 2

    apt-cache policy zarafa-webapp
    zarafa-webapp:
    Installiert: 1:1.6-46049
    Kandidat: 1:1.6-46049
    Versionstabelle:
    *** 1:1.6-46049 0
    500 ./ Packages
    100 /var/lib/dpkg/status
    2.0.1.47791 0
    500 ./ Packages

    Last edited by zaraf; 03-03-2015 at 08:24 PM.
    Produktiv System
    Ubuntu 12.04.05
    yaffas 1.5.0-5-g360b8cb
    Zarafa 7.1.14-51822
    Webapp 2.1.0.51748

    Test System
    Ubuntu 14.04.04
    yaffas 1.5.0-5-g79b3c11
    Zarafa 7.1.14-51822
    Webapp 2.2.0.414-185.1

  5. #15
    Senior Member
    Join Date
    Dec 2010
    Location
    near Celle, Germany
    Posts
    187
    on my testing server with 14.04:
    apt-cache policy zarafa-webapp
    zarafa-webapp:
    Installiert: (keine)
    Installationskandidat: 2.0.1.47791
    Versionstabelle:
    2.0.1.47791 0
    500 ./ Packages

  6. #16
    Member zaraf's Avatar
    Join Date
    Feb 2013
    Location
    Germany
    Posts
    41
    thx 1of16 When have you installed the 14.04? I'll try it tomorrow times with my Test System 14.04.
    Danke 1of16 Wann hast du denn den 14.04 installiert? (Heute?) Ich werde es morgen nochmal mit der 14.04 probieren (12.04 ist aber produktiv bei mir)
    Einziger Unterschied, ich habe von der last Repo auf die daily umgestellt!

    danke euch beiden.
    Produktiv System
    Ubuntu 12.04.05
    yaffas 1.5.0-5-g360b8cb
    Zarafa 7.1.14-51822
    Webapp 2.1.0.51748

    Test System
    Ubuntu 14.04.04
    yaffas 1.5.0-5-g79b3c11
    Zarafa 7.1.14-51822
    Webapp 2.2.0.414-185.1

  7. #17
    Senior Member
    Join Date
    Dec 2010
    Location
    near Celle, Germany
    Posts
    187
    some time ago, I just updated the packages.
    I'm still testing for my migration from 12.04 to 14.04 and kinda hoped, that z-admin 1.4.1 would be "stable" meanwhile.

  8. #18
    Member zaraf's Avatar
    Join Date
    Feb 2013
    Location
    Germany
    Posts
    41
    Thanks 1of16, provides for time not looking good for a migration
    ich würde zur Zeit nicht migrieren! Welche Version zeigt yaffas bei dir an?

    Ach ich sehe gerade warum bei deiner 14.04 die 1.6 nicht "mitkommt" in der repo ist die nicht mit drin, hat choffmann am 23.2 für mich zum testen heraus genommen. In der 12.04 ist die 1.6 noch drin
    Last edited by zaraf; 03-03-2015 at 09:25 PM.
    Produktiv System
    Ubuntu 12.04.05
    yaffas 1.5.0-5-g360b8cb
    Zarafa 7.1.14-51822
    Webapp 2.1.0.51748

    Test System
    Ubuntu 14.04.04
    yaffas 1.5.0-5-g79b3c11
    Zarafa 7.1.14-51822
    Webapp 2.2.0.414-185.1

  9. #19
    Senior Member
    Join Date
    Dec 2012
    Posts
    267
    Yes, the webapp-1.6 packages are part of the Zarafa stable tarballs, which is why the are pulled in by our build system. I will have to adapt the build scripts to explicitly remove this version... I have only done this for the 14.04 repo so far.

    1of16's, can you confirm my observation and assumption that manually installing webapp-2.x once fixes this issue permanently? I.e. that it is apt-get update/upgrade-safe?

  10. #20
    Senior Member
    Join Date
    Dec 2010
    Location
    near Celle, Germany
    Posts
    187
    sorry, I can't. ATM I haven't installed z-admin / zarafa on my testing 14.04. server, I only added the daily-repo. And as you could see and already know there is no 1.6 package.

    on my 12.04. server I am still on the lastest-repo, so I am "stuck" at 1.6:
    apt-cache policy zarafa-webapp
    zarafa-webapp:
    Installiert: 1:1.5-44025
    Kandidat: 1:1.5-44025
    Versionstabelle:
    *** 1:1.5-44025 0
    500 ./ Packages
    100 /var/lib/dpkg/status
    1:1.5-43477 0
    500 ./ Packages

    after changing to the daily-repo it looks like this:
    Installiert: 1:1.5-44025
    Kandidat: 1:1.6-46049
    Versionstabelle:
    1:1.6-46049 0
    500 ./ Packages
    *** 1:1.5-44025 0
    100 /var/lib/dpkg/status
    2.0.1.47791 0
    500 ./ Packages

    I still don't know if I should dare to switch to the daily-repo on my 12.04. server before I migrate...

Page 2 of 9 FirstFirst 1234 ... LastLast

Similar Threads

  1. 7.1.11 Packaging Issue on EL5
    By luis in forum Installation, Configuration and Maintenance
    Replies: 2
    Last Post: 28-08-2014, 10:05 AM
  2. character issue
    By alismanis in forum Installation, Configuration and Maintenance
    Replies: 1
    Last Post: 20-09-2013, 08:57 AM
  3. Issue on quota after 6.3.10 update
    By dariofinardi in forum Administration and Integration Archives
    Replies: 2
    Last Post: 25-02-2010, 01:55 PM
  4. Big issue with 6.05
    By dtraenapp in forum Outlook usage Archives
    Replies: 11
    Last Post: 09-12-2008, 05:17 PM
  5. Timezone issue
    By desdougan in forum Installation and Configuration Archives
    Replies: 2
    Last Post: 01-11-2008, 05:38 PM

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •